# $Id$
# Authority: dag

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name CGI-Kwiki

Summary: CGI-Kwiki module for perl
Name: perl-CGI-Kwiki
Version: 0.18
Release: 1.dag
License: GPL or Artistic
Group: Applications/CPAN
#URL: http://search.cpan.org/dist/CGI-Kwiki/
URL: http://www.kwiki.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/CGI/CGI-Kwiki-%{version}.tar.gz
Patch0: mp2-fix.patch
Patch1: relative-link.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
CGI::Kwiki is a modular implementation of a Wiki in Perl.

%prep
%setup -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
        PREFIX="%{buildroot}%{_prefix}" \
        INSTALLDIRS="vendor" \
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README ToDo
%doc %{_mandir}/man?/*
%{perl_vendorlib}/*
%{_bindir}/*

%changelog
* Thu Sep 30 2004 Dag Wieers <dag@wieers.com> - 0.18-1
- Initial package. (using DAR)
